Bug 150356 - Postscript file fails to print.
Postscript file fails to print.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://steveo.syslang.net/474617B7d01.ps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 16:25 EST by Steven W. Orr
Modified: 2008-02-06 19:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:30:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2005-03-04 16:25:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
I have a Lexmark Optra R+ printer. When I try to print a file using
CUPS and lpr, the printer chugs for a while but no paper comes out.
Instead of printing to the printer I print to a file to give me the
resulting Postscript. (See the URL above.)

If I lpr the ps file the printer churns but nothing comes out. 

If I cat the file to /dev/lp0 it comes out fine.

Here is the content of /etc/cups/printers.conf (minus the comments)
<DefaultPrinter ps600>
Info Created by redhat-config-printer 0.6.x
DeviceURI parallel:/dev/lp0
Location PostScript 600dpi
State Idle
Accepting Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
</Printer>

Here's the /etc/cups/lpoptions file
Default ps600 cpi=12 lpi=7 page-bottom=36 page-left=36 page-right=36
page-top=36 scaling=100 wrap=true

The info I get from system-config-printer says:
queue name: name: ps600
            Short description: Postscript 600dpi
Queue type: Locally connected
            /dev/lp0 Lexmark Optra LaserPrinter
Queue options: banner pages == none for both start and end of job
Imageable Area: 36 36
                36 36

Filter options:
cpi           12
lpi           7
page-bottom   36
page-left     36
page-right    36
page-top      36
scaling       100
wrap          true

Printer driver: Lexmark Optra R+ Postscript

Driver options:
Convert Text to Postscript
Effective Filter Locale == C
Double sided printing "Not capable"
Ghostscript prefiltering "Convert to PS level 2"
Page size "US Letter"
Resolution "Printer Default"

Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. lpr 474617B7d01.ps
2. (no printing)
3. cat 474617B7d01.ps > /dev/lp0
4. (It works)


Actual Results:  See above.

Expected Results:  It should have printed via lpr.

Additional info:

Please let me know if you need any more info.
Comment 1 Tim Waugh 2005-03-07 12:24:44 EST
How about if you turn 'Ghostscript prefiltering' off?
Comment 2 Steven W. Orr 2005-03-07 12:44:33 EST
That seems to fix it. Does a config file at your end get updated as a result of
this?

Thanks.
Comment 3 Tim Waugh 2005-03-07 13:02:11 EST
In theory this should be defaulting to off, but it looks like it gets reset to 2
in the config tool.
Comment 4 Matthew Miller 2006-07-10 18:16:03 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 petrosyan 2008-02-06 19:30:09 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.